Subject: [bug#76601] [PATCH v2] dir-locals: Add copyrights.

From: Tomas Volf <[email-masked]>
Date: Sun, 16 Mar 2025 16:26:15 +0100

Denis 'GNUtoo' Carikli <[email-masked]> writes:

> * .dir-locals.el: Add copyrights.
>
> The list was first generated with the 'git log --oneline
> --pretty=";;; Copyright © %ad %an <%ae>" --follow --date="format:%Y" --
> .dir-locals.el' command, and then the lines were regrouped together by hand,
> and finally the names and mails were updated to the ones currently used with
> the help of git grep.

I have used the following command to verify the content of the patch:

--8<---------------cut here---------------start------------->8---
git log --pretty='format:%as %an %ae' orig-master -- .dir-locals.el \
    | sed -E 's/-[0-9]{2}-[0-9]{2}//'                               \
    | sed -E 's/(....) (.*)/\2 \1/'                                 \
    | sort -u
--8<---------------cut here---------------end--------------->8---

>
> Signed-off-by: Denis 'GNUtoo' Carikli <[email-masked]>
> Change-Id: I010f1e5e3afc8b646da39dc6341f7870f0c9bf45
> ---
> ChangeLog v1->v2:
> =================
> * Fixed the command in the commit log (it didn't list all the commits).
> * Added missing Copyrights (Tomas Volf, Nicolas Graves, and 2025 for Maxim
>   Cournoyer). Thanks to Tomas Volf who found the issue.
> ---
>  .dir-locals.el | 34 +++++++++++++++++++++++++++++++++-
>  1 file changed, 33 insertions(+), 1 deletion(-)
>
> diff --git a/.dir-locals.el b/.dir-locals.el
> index 76c9e12992..983a92f5a6 100644
> --- a/.dir-locals.el
> +++ b/.dir-locals.el
> @@ -1,5 +1,37 @@
> -;; Per-directory local variables for GNU Emacs 23 and later.
> +;;; GNU Guix --- Functional package management for GNU
> +;;; Copyright © 2012-2023 Ludovic Courtès <[email-masked]>
> +;;; Copyright © 2013,2014 Mark H Weaver <[email-masked]>
> +;;; Copyright © 2014 Taylan Ulrich Bayırlı/Kammer <[email-masked]>
> +;;; Copyright © 2015 David Thompson <[email-masked]>
> +;;; Copyright © 2016 Hartmut Goebel <[email-masked]>
> +;;; Copyright © 2017 Alex Kost <[email-masked]>
> +;;; Copyright © 2018-2020 Caleb Ristvedt <[email-masked]>
> +;;; Copyright © 2020-2023,2025 Maxim Cournoyer <[email-masked]>
> +;;; Copyright © 2020 Miguel Ángel Arruga Vivas <[email-masked]>
> +;;; Copyright © 2020 Christine Lemmer-Webber <[email-masked]>
> +;;; Copyright © 2022 Liliana Marie Prikler <[email-masked]>
> +;;; Copyright © 2022 Andrew Tropin <[email-masked]>
> +;;; Copyright © 2022 Brian Cully <[email-masked]>
> +;;; Copyright © 2023 (unmatched-parenthesis ew syntax <[email-masked]>
> +;;; Copyright © 2024 Christopher Baines <[email-masked]>
> +;;; Copyright © 2024 Tomas Volf <[email-masked]>
> +;;; Copyright © 2024 Nicolas Graves <[email-masked]>

Hi, me again :) I think you are missing David Elsing.  I am not sure how
fresh your git checkout is, but on current master I see:

--8<---------------cut here---------------start------------->8---
commit 30e51cb6b42e86f9f94d6380f69a1020ee99ff39
Author: David Elsing <[email-masked]>
Date:   Tue Mar 4 20:33:08 2025 +0000
--8<---------------cut here---------------end--------------->8---

One more nitpick could be that [email-masked] is known under multiple
names in our git history, and I am not sure which one is preferred.
Edits to .dir-locals.el were made under two of them, you picked the last
name used.  However last commit to Guix repository itself uses different
name (just `(unmatched-parenthesis').

Other than that LGTM.

Tomas

Reviewed-by: Tomas Volf <[email-masked]>

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.